%bcond_with tests

Summary:        VCR imitation for python-requests
Name:           python-betamax
Version:        0.8.1
Release:        7%{?dist}
License:        Apache-2.0
URL:            https://github.com/sigmavirus24/betamax
Source0:        %{url}/archive/%{version}/betamax-%{version}.tar.gz

BuildArch:      noarch

%description 
Betamax is a VCR_ imitation for requests. 

%package -n python3-betamax
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest python3-requests >= 2.0
%endif
Requires:       python3-requests >= 2.0
Provides:       python3-%{pkg_name} = %{version}-%{release}

%description -n python3-betamax
Python 3 version.

%prep
%autosetup -n betamax-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
TEST_SELECTOR="not test_fixtures and not test_replays_response_from_cassette and not TestPyTestParametrizedFixtures"
py.test-%{python3_version} -vk "$TEST_SELECTOR"
%endif

%files -n python3-betamax
%license LICENSE
%doc README.rst
%{python3_sitelib}/betamax/
%{python3_sitelib}/betamax-*.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 0.8.1-1
- package init.
